DynaValidatorForm (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class DynaValidatorForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.action.DynaActionForm
              org.apache.struts.validator.DynaValidatorForm

All Implemented Interfaces:
  Serializable, DynaBean

Direct Known Subclasses:
  DynaValidatorActionForm

    public class DynaValidatorForm

extends DynaActionForm
implements DynaBean, Serializable

This class extends DynaActionForm and provides basic field validation based on an XML file. The key passed into the validator is the action element's 'name' attribute from the struts-config.xml which should match the form element's name attribute in the validation.xml.

- See `ValidatorPlugin` definition in struts-config.xml for validation rules.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $
See Also:
  `ActionForm`, Serialized Form

Field Summary
`protected int` | `page` Used to indicate the current page of a multi-page form.
`protected ValidatorResults` | `validatorResults` The results returned from the validation performed by the `Validator`.

Fields inherited from class org.apache.struts.action.DynaActionForm
`dynaClass, dynaValues`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`DynaValidatorForm()`

Method Summary
`int` | `getPage()` Gets page.
`Map` | `getResultValueMap()` Returns a `Map` of values returned from any validation that returns a value other than `null` or `Boolean` with the key the full property path of the field.
`String` | `getValidationKey(ActionMapping mapping, HttpServletRequest request)` Returns the Validation key.
`ValidatorResults` | `getValidatorResults()` Get results of the validation performed by the `Validator`.
`void` | `reset(ActionMapping mapping, HttpServletRequest request)` Reset all properties to their default values.
`void` | `setPage(int page)` Sets page.
`protected void` | `setPageFromDynaProperty()` Sets this.page to the value of the Dyna property "page" if it's defined.
`void` | `setValidatorResults(ValidatorResults validatorResults)` Set results of the validation performed by the `Validator`.
`ActionErrors` | `validate(ActionMapping mapping, HttpServletRequest request)` Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found.

Methods inherited from class org.apache.struts.action.DynaActionForm
`contains, get, get, get, getDynaClass, getDynaProperty, getMap, getString, getStrings, initialize, initialize, isDynaAssignable, remove, reset, set, set, set, toString`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.beanutils.DynaBean
`contains, get, get, get, getDynaClass, remove, set, set, set`

Field Detail

### validatorResults

    protected ValidatorResults validatorResults

  The results returned from the validation performed by the `Validator`.

### page

    protected int page

  Used to indicate the current page of a multi-page form.

Constructor Detail

### DynaValidatorForm

    public DynaValidatorForm()

Method Detail

### getPage

    public int getPage()

  Gets page.

  Returns:
    page number.

### setPage

    public void setPage(int page)

  Sets page.

  Parameters:
    `page` - page number

### validate

    public ActionErrors validate(ActionMapping mapping,
                                 HttpServletRequest request)

  Validate the properties that have been set from this HTTP request, and return an `ActionErrors` object that encapsulates any validation errors that have been found. If no errors are found, return `null` or an `ActionErrors` object with no recorded error messages.

  Overrides:
    `validate` in class `ActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance.
    `request` - The servlet request we are processing.
  Returns:
    `ActionErrors` object that encapsulates any validation errors.
  See Also:
    `DynaActionForm`

### getValidationKey

    public String getValidationKey(ActionMapping mapping,
                                   HttpServletRequest request)

  Returns the Validation key.

  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing
  Returns:
    validation key - the form element's name in this case

### setPageFromDynaProperty

    protected void setPageFromDynaProperty()

  Sets this.page to the value of the Dyna property "page" if it's defined. This is used to setup the page variable before validation starts.

  Since:
    Struts 1.2

### reset

    public void reset(ActionMapping mapping,
                      HttpServletRequest request)

  Reset all properties to their default values.

  Overrides:
    `reset` in class `DynaActionForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing

### getValidatorResults

    public ValidatorResults getValidatorResults()

  Get results of the validation performed by the `Validator`.

  Returns:
    validator results as ValidatorResults object

### setValidatorResults

    public void setValidatorResults(ValidatorResults validatorResults)

  Set results of the validation performed by the `Validator`.

  Parameters:
    `validatorResults` - Set results of the validation performed

### getResultValueMap

    public Map getResultValueMap()

  Returns a `Map` of values returned from any validation that returns a value other than `null` or `Boolean` with the key the full property path of the field.

  Returns:
    Returns a `Map` of values, otherwise returns null if no results.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.